| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
app.h File Reference

## Classes
class | wxAppConsole
| This class is essential for writing console-only or hybrid apps without having to define `wxUSE_GUI=0`. More...
class | wxApp
| The wxApp class represents the application itself when `wxUSE_GUI=1`. More...

## Macros
#define | wxDECLARE_APP(className)
| This is used in headers to create a forward declaration of the wxGetApp() function implemented by wxIMPLEMENT_APP().
#define | wxIMPLEMENT_APP(className)
| This is used in the application class implementation file to make the application class known to wxWidgets for dynamic construction.
#define | wxDISABLE_DEBUG_SUPPORT()
| Use this macro to disable all debugging code in release build when not using wxIMPLEMENT_APP().

## Functions
wxAppDerivedClass & | wxGetApp ()
| This function doesn't exist in wxWidgets but it is created by using the wxIMPLEMENT_APP() macro.
bool | wxHandleFatalExceptions (bool doIt=true)
| If doIt is true, the fatal exceptions (also known as general protection faults under Windows or segmentation violations in the Unix world) will be caught and passed to wxApp::OnFatalException.
bool | wxInitialize ()
| This function is used in wxBase only and only if you don't create wxApp object at all.
void | wxUninitialize ()
| This function is for use in console (wxBase) programs only.
void | wxWakeUpIdle ()
| This function wakes up the (internal and platform dependent) idle system, i.e.
bool | wxYield ()
| Calls wxAppConsole::Yield.
bool | wxSafeYield (wxWindow *win=NULL, bool onlyIfNeeded=false)
| Calls wxApp::SafeYield.
int | wxEntry (int &argc, wxChar **argv)
| This function initializes wxWidgets in a platform-dependent way.
int | wxEntry (HINSTANCE hInstance, HINSTANCE hPrevInstance=NULL, char *pCmdLine=NULL, int nCmdShow=SW_SHOWNORMAL)
| See wxEntry(int&,wxChar**) for more info about this function.
void | wxExit ()
| Exits application after calling wxApp::OnExit.

## Variables
wxApp * | wxTheApp
| The global pointer to the singleton wxApp object.

## Variable Documentation

wxApp* wxTheApp

The global pointer to the singleton wxApp object.

See Also
  wxApp::GetInstance()